Name: kde-utils-superkaramba
Summary: Create widgets for your KDE desktop
Version: 15.04.3
Release: %mkrel 1
Group:   Graphical desktop/KDE4
License: GPLv2+
URL:     http://utils.kde.org/projects/superkaramba
Source0: http://download.kde.org/stable/%{version}/src/superkaramba-%{version}.tar.xz
Patch50: superkaramba-4.7.80-namelink_skip.patch
Patch51: superkaramba-4.8.2-namelink_skip.patch
BuildRequires: kdelibs-devel 
BuildRequires: %{_lib}qimageblitz-devel
BuildRequires: python-devel
Requires: kde-runtime

%description
SuperKaramba is a tool that allows you to easily create interactive widgets on your KDE desktop.

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_kde_bindir}/superkaramba
%{_kde_appsdir}/superkaramba/
%{_kde_configdir}/superkaramba.knsrc
%{_datadir}/dbus-1/interfaces/org.kde.superkaramba.xml
%{_kde_datadir}/applications/kde4/superkaramba.desktop
%{_kde_datadir}/kde4/services/plasma-package-superkaramba.desktop
%{_kde_datadir}/kde4/services/plasma-scriptengine-superkaramba.desktop
%{_kde_iconsdir}/hicolor/*/apps/superkaramba.*
%{_kde_libdir}/kde4/plasma_package_superkaramba.so
%{_kde_libdir}/kde4/plasma_scriptengine_superkaramba.so
#
%{_kde_libdir}/libsuperkaramba.so.4*

%prep
%setup -q -n superkaramba-%version
%patch51 -p1 -b .namelink_skip

%build 
%cmake_kde4
export CFLAGS="$RPM_OPT_FLAGS -ffast-math"
%make

%install
rm -fr %buildroot
cd build
make DESTDIR=%buildroot install

#MENU FILE
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-System-Monitoring" \
  --add-only-show-in="KDE" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde4 $RPM_BUILD_ROOT%{_datadir}/applications/kde4/superkaramba.desktop

%clean
rm -fr %buildroot

%changelog
* Wed Jul 22 2015 pp <pp> 15.04.3-1pclos2015
- update

* Sun Apr 19 2015 pinoc <vogtpet at gmail.com> 15.04.0-1pclos2015
- 15.04.0

* Sun Mar 08 2015 bb <bb> 14.12.3-1pclos2015
- update

* Thu Nov 13 2014 pinoc <vogtpet at gmail.com> 4.14.3-1pclos2014
- 4.14.3

* Tue Jul 15 2014 pinoc <vogtpet at gmail.com> 4.13.3-1pclos2014
- 4.13.3

